Prints a backtrace

- « debug_backtrace

- error_clear_last »

- PHP Manual
- Error Handling Functions
- Prints a backtrace

# debug_print_backtrace

(PHP 5, PHP 7, PHP 8)

debug_print_backtrace — Prints a backtrace

### Description

debug_print_backtrace(int `$options` = 0, int `$limit` = 0): void

debug_print_backtrace() prints a PHP backtrace. It prints the function calls, included/required files and eval()ed stuff.

### Parameters

`options`

  This parameter is a bitmask for the following options:

  debug_print_backtrace() options
  DEBUG_BACKTRACE_IGNORE_ARGS | Whether or not to omit the "args" index, and thus all the function/method arguments, to save memory.

`limit`

  This parameter can be used to limit the number of stack frames printed. By default (`limit`=`0`) it prints all stack frames.

### Return Values

No value is returned.

### Examples

Example #1 debug_print_backtrace() example

    <?php// include.php filefunction a() {    b();}function b() {    c();}function c(){    debug_print_backtrace();}a();?>

    <?php// test.php file// this is the file you should runinclude 'include.php';?>

The above example will output something similar to:

    #0  c() called at [/tmp/include.php:10]
    #1  b() called at [/tmp/include.php:6]
    #2  a() called at [/tmp/include.php:17]
    #3  include(/tmp/include.php) called at [/tmp/test.php:3]

### See Also

- debug_backtrace() - Generates a backtrace